Fri, 22 Oct 2021 16:31:30 UTC

Information for RPM libxcrypt-4.1.1-6.el8.src.rpm

ID315739
Namelibxcrypt
Version4.1.1
Release6.el8
Epoch
Archsrc
SummaryExtended crypt library for DES, MD5, Blowfish and others
Descriptionlibxcrypt is a modern library for one-way hashing of passwords. It supports DES, MD5, SHA-2-256, SHA-2-512, and bcrypt-based password hashes, and provides the traditional Unix 'crypt' and 'crypt_r' interfaces, as well as a set of extended interfaces pioneered by Openwall Linux, 'crypt_rn', 'crypt_ra', 'crypt_gensalt', 'crypt_gensalt_rn', and 'crypt_gensalt_ra'. libxcrypt is intended to be used by login(1), passwd(1), and other similar programs; that is, to hash a small number of passwords during an interactive authentication dialogue with a human. It is not suitable for use in bulk password-cracking applications, or in any other situation where speed is more important than careful handling of sensitive data. However, it *is* intended to be fast and lightweight enough for use in servers that must field thousands of login attempts per minute. On Linux-based systems, by default libxcrypt will be binary backward compatible with the libcrypt.so.1 shipped as part of the GNU C Library. This means that all existing binary executables linked against glibc's libcrypt should work unmodified with this library's libcrypt.so.1. We have taken pains to provide exactly the same "symbol versions" as were used by glibc on various CPU architectures, and to account for the variety of ways in which the Openwall extensions were patched into glibc's libcrypt by some Linux distributions. (For instance, compatibility symlinks for SuSE's "libowcrypt" are provided.) However, the converse is not true: programs linked against libxcrypt will not work with glibc's libcrypt. Also, programs that use certain legacy APIs supplied by glibc's libcrypt ('encrypt', 'encrypt_r', 'setkey', 'setkey_r', and 'fcrypt') cannot be compiled against libxcrypt.
Build Time2021-05-05 23:08:02 GMT
Size228392
48054088d6a806f41d842bcb8f5d9a0e
LicenseLGPLv2+ and BSD and Public Domain
Buildrootdist-c8-stream-build-69482-20025
Provides No Provides
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
fipscheck
libtool
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 5 of 5
Name descending sort Size
libxcrypt.spec9333
libxcrypt-rh1899716.patch127987
libxcrypt-rh1613537.patch12847
libxcrypt-rh1612157.patch1829
libxcrypt-4.1.1.tar.gz171926
Component of No Buildroots